Bug 866165 - ovirt-engine: engine should enable un-limiting results via max parameter
ovirt-engine: engine should enable un-limiting results via max parameter
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
infra
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 08:31 EDT by Michael Pasternak
Modified: 2016-02-10 14:09 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 06:45:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-10-14 08:31:39 EDT
Description of problem:

currently searchable collections limiting returned results according to
vdc_options.MaxResultSearchLimit, while this can be overridden via _maxCount
in  SearchParameters

engine should enable un-limiting results via max parameter in
by accepting -1 and use default logic if its NULL.

(this will alow clients to get all results at once instead of geting them in 
chunks via pagination)
Comment 6 Michael Pasternak 2012-10-18 06:45:31 EDT
after testing a bit against qa environment (remote host) i noticed that fetching
and marshalling 100 vms took about 10-15 seconds,

so i willing to withdraw from this RFE, forcing users using pagination is a correct approach indeed.

Note You need to log in before you can comment on or make changes to this bug.